> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all contacts

> For a given account, return all contacts that have been created in the account. A paginated list of contacts will be returned to you, with a maximum of 100 contacts per page. Note: There are 2 fields here to pay close attention to: the "has-more" field that will let you know whether there are more contacts that you can pull from this account, and the "vid-offset" field which will let you know where you are in the list of contacts. You can then use the "vid-offset" field in the "vidOffset" parameter described below.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json GET /contacts/v1/lists/all/contacts/all
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/all/contacts/all:
    get:
      summary: Get all contacts
      description: >-
        For a given account, return all contacts that have been created in the
        account. A paginated list of contacts will be returned to you, with a
        maximum of 100 contacts per page. Note: There are 2 fields here to pay
        close attention to: the "has-more" field that will let you know whether
        there are more contacts that you can pull from this account, and the
        "vid-offset" field which will let you know where you are in the list of
        contacts. You can then use the "vid-offset" field in the "vidOffset"
        parameter described below.
      operationId: getcontactsv1listsallcontactsall
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            This parameter lets you specify the amount of contacts to return in
            your API call. The default for this parameter (if it isn't
            specified) is 20 contacts. The maximum amount of contacts you can
            have returned to you via this parameter is 100.
          schema:
            type: string
        - name: vidOffset
          in: query
          required: false
          description: >-
            Used to page through the contacts. Every call to this endpoint will
            return a vid-offset value. This value is used in the vidOffset
            parameter of the next call to get the next page of contacts.
          schema:
            type: string
        - name: property
          in: query
          required: false
          description: >-
            May be included multiple times. By default, only a few standard
            properties will be included in the response data. If you include the
            'property' parameter, then you will instead get the specified
            property in the response. This parameter may be included multiple
            times to specify multiple properties. NOTE: Contacts only store data
            for properties with a value, so records with no value for a property
            will not include that property, even if the property is specified in
            the request URL.
          schema:
            type: string
        - name: propertyMode
          in: query
          required: false
          description: >-
            One of `value_only` or `value_and_history` to specify if the current
            value for a property should be fetched, or the value and all the
            historical values for that property. Default is `value_only`.
          schema:
            type: string
        - name: formSubmissionMode
          in: query
          required: false
          description: >-
            One of `all`, `none`, `newest`, `oldest` to specify which form
            submissions should be fetched. Default is `newest`.
          schema:
            type: string
        - name: showListMemberships
          in: query
          required: false
          description: >-
            Boolean `true` or `false` to indicate whether current list
            memberships should be fetched for the contact. Default is `false`.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - For a given account, return all contacts that
            have been created in the account
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get all contacts - Example 1
                  value:
                    contacts:
                      - addedAt: 1390574181854
                        vid: 204727
                        canonical-vid: 204727
                        merged-vids: []
                        portal-id: 62515
                        is-contact: true
                        properties:
                          firstname:
                            value: Bob
                          lastmodifieddate:
                            value: '1483461406481'
                          company:
                            value: ''
                          lastname:
                            value: Record
                        form-submissions: []
                        identity-profiles:
                          - vid: 204727
                            saved-at-timestamp: 1476768116149
                            deleted-changed-timestamp: 0
                            identities:
                              - type: LEAD_GUID
                                value: f9d728f1-dff1-49b0-9caa-247dbdf5b8b7
                                timestamp: 1390574181878
                              - type: EMAIL
                                value: mgnew-email@hubspot.com
                                timestamp: 1476768116137
                        merge-audits: []
                      - addedAt: 1392643921079
                        vid: 207303
                        canonical-vid: 207303
                        merged-vids: []
                        portal-id: 62515
                        is-contact: true
                        properties:
                          firstname:
                            value: Ff_FirstName_0
                          lastmodifieddate:
                            value: '1479148429488'
                          lastname:
                            value: Ff_LastName_0
                        form-submissions: []
                        identity-profiles:
                          - vid: 207303
                            saved-at-timestamp: 1392643921090
                            deleted-changed-timestamp: 0
                            identities:
                              - type: EMAIL
                                value: email_0be34aebe5@abctest.com
                                timestamp: 1392643921079
                              - type: LEAD_GUID
                                value: 058378c6-9513-43e1-a13a-43a98d47aa22
                                timestamp: 1392643921082
                        merge-audits: []
                    has-more: true
                    vid-offset: 207303
      security:
        - oauth2:
            - crm.objects.contacts.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.read
        - private_apps_legacy: []
components: {}

````